Bug 493450 - Updating a release bump resets ghc's internal package list
Updating a release bump resets ghc's internal package list
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 15:43 EDT by Bryan O'Sullivan
Modified: 2009-06-21 22:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-21 22:07:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2009-04-01 15:43:04 EDT
Last night, I installed a rawhide version of ghc 6.10.1 in place of the F10 version I had been running. I also had packages such as ghc-X11 installed at the time. When I ran "ghc-pkg list" after the update, the X11 and other such packages were no longer visible.

We need to develop a mechanism to make it possible to make minor updates to ghc without requiring that all devel packages be reinstalled afterwards :-(
Comment 1 Jens Petersen 2009-05-19 03:34:53 EDT
Oh hmm that is bad and "should not happen"...
Comment 2 Jens Petersen 2009-05-19 05:19:35 EDT
Are you sure?  I just tried in i386 f11 downgrading to f10 and back up to f11 ghc
and X11 package appeared for me all along.

package.conf is already marked %config(noreplace) though - I thought that should take care of it.

(We should really move package.conf to /etc like debian, but I think that is another story.)

Note You need to log in before you can comment on or make changes to this bug.